=== modified file 'NEWS'
--- NEWS	2007-02-17 02:36:32 +0000
+++ NEWS	2007-02-17 07:11:47 +0000
@@ -124,6 +124,9 @@
 
     * Fix problem with UNC paths on Windows 98. (Alexander Belchenko, #84728)
 
+    * ``bzr init`` works with unicode argument LOCATION.
+      (Alexander Belchenko, #85599)
+
   TESTING:
 
     * New ``--first`` option to ``bzr selftest`` to run specified tests

=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2007-02-15 18:01:21 +0000
+++ bzrlib/builtins.py	2007-02-17 07:11:47 +0000
@@ -1233,7 +1233,7 @@
             existing_bzrdir = bzrdir.BzrDir.open(location)
         except errors.NotBranchError:
             # really a NotBzrDir error...
-            branch = bzrdir.BzrDir.create_branch_convenience(location,
+            branch = bzrdir.BzrDir.create_branch_convenience(to_transport.base,
                                                              format=format)
         else:
             from bzrlib.transport.local import LocalTransport

=== modified file 'bzrlib/tests/blackbox/test_init.py'
--- bzrlib/tests/blackbox/test_init.py	2007-02-13 19:22:47 +0000
+++ bzrlib/tests/blackbox/test_init.py	2007-02-17 07:11:47 +0000
@@ -24,6 +24,7 @@
     branch as _mod_branch,
     )
 from bzrlib.bzrdir import BzrDirMetaFormat1
+from bzrlib.tests import TestSkipped
 from bzrlib.tests.blackbox import ExternalBase
 from bzrlib.tests.test_sftp_transport import TestCaseWithSFTPServer
 from bzrlib.workingtree import WorkingTree
@@ -109,6 +110,15 @@
         self.run_bzr('init')
         self.assertFalse(os.path.exists('.bzrignore'))
 
+    def test_init_unicode(self):
+        # Make sure getcwd can handle unicode filenames
+        try:
+            os.mkdir(u'mu-\xb5')
+        except UnicodeError:
+            raise TestSkipped("Unable to create Unicode filename")
+        # try to init unicode dir
+        self.run_bzr('init', u'mu-\xb5')
+
 
 class TestSFTPInit(TestCaseWithSFTPServer):
 

